# Class NavigationPath

#### Hierarchy

- unknown
  - NavigationPath

- Defined in src/protobuf/pb_pb.d.ts:5792
- Defined in src/protobuf/pb_pb.d.ts:5806

#####
Index

### Constructors

constructor

### Methods

addPath
clearPathList
getPathList
serializeBinary
setPathList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new NavigationPath(): NavigationPath

- #### Returns NavigationPath

  Inherited from jspb.Message.constructor

## Methods

### addPath

- addPath(value: string, index?: number): NavigationPath

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns NavigationPath

  - Defined in src/protobuf/pb_pb.d.ts:5796

### clearPathList

- clearPathList(): NavigationPath

- #### Returns NavigationPath

  - Defined in src/protobuf/pb_pb.d.ts:5795

### getPathList

- getPathList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:5793

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5798

### setPathList

- setPathList(value: string[]): NavigationPath

- #### Parameters

  - ##### value: string[]

  #### Returns NavigationPath

  - Defined in src/protobuf/pb_pb.d.ts:5794

### toObject

- toObject(includeInstance?: boolean): NavigationPath.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns NavigationPath.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5799

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): NavigationPath

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NavigationPath

  - Defined in src/protobuf/pb_pb.d.ts:5802

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NavigationPath, reader: BinaryReader): NavigationPath

- #### Parameters

  - ##### message: NavigationPath

  - ##### reader: BinaryReader

  #### Returns NavigationPath

  - Defined in src/protobuf/pb_pb.d.ts:5803

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: NavigationPath, writer: BinaryWriter): void

- #### Parameters

  - ##### message: NavigationPath

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5801

### `Static` toObject

- toObject(includeInstance: boolean, msg: NavigationPath): NavigationPath.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NavigationPath

  #### Returns NavigationPath.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5800

Generated using TypeDoc